# Uses of Enum Class
javax.lang.model.element.ElementKind

Packages that use ElementKind
Package
Description
javax.lang.model.element
Interfaces used to model elements of the Java programming language.

## Uses of ElementKind in javax.lang.model.element

Subclasses with type arguments of type ElementKind in javax.lang.model.element
Modifier and Type
Class
Description
`enum`
`ElementKind`
The `kind` of an element.
Methods in javax.lang.model.element that return ElementKind
Modifier and Type
Method
Description
`ElementKind`
Element.`getKind()`
Returns the `kind` of this element.
`static ElementKind`
ElementKind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ElementKind[]`
ElementKind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.